| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations
Driver_ETH.h File Reference

## Data Structures

struct | ARM_ETH_LINK_INFO
| Ethernet link information. More...
struct | ARM_ETH_MAC_ADDR
| Ethernet MAC Address. More...

## Macros

#define | ARM_ETH_INTERFACE_MII 0
| Ethernet Media Interface type.
#define | ARM_ETH_INTERFACE_RMII 1
| Reduced Media Independent Interface (RMII)
#define | ARM_ETH_INTERFACE_SMII 2
| Serial Media Independent Interface (SMII)
#define | ARM_ETH_SPEED_10M 0
| Ethernet link speed.
#define | ARM_ETH_SPEED_100M 1
| 100 Mbps link speed
#define | ARM_ETH_SPEED_1G 2
| 1 Gpbs link speed
#define | ARM_ETH_DUPLEX_HALF 0
| Ethernet duplex mode.
#define | ARM_ETH_DUPLEX_FULL 1
| Full duplex link.

## Enumerations

enum | ARM_ETH_LINK_STATE { ARM_ETH_LINK_DOWN, ARM_ETH_LINK_UP }
| Ethernet link state. More...

## Macro Definition Documentation

#define ARM_ETH_DUPLEX_FULL 1

Full duplex link.

#define ARM_ETH_DUPLEX_HALF 0

Ethernet duplex mode.

Half duplex link

#define ARM_ETH_INTERFACE_MII 0

Ethernet Media Interface type.

Media Independent Interface (MII)

#define ARM_ETH_INTERFACE_RMII 1

Reduced Media Independent Interface (RMII)

#define ARM_ETH_INTERFACE_SMII 2

Serial Media Independent Interface (SMII)

#define ARM_ETH_SPEED_100M 1

100 Mbps link speed

#define ARM_ETH_SPEED_10M 0

Ethernet link speed.

10 Mbps link speed

#define ARM_ETH_SPEED_1G 2

1 Gpbs link speed